# OpalLIDRegistration Class Reference

`#include <lid.h>`

Inheritance diagram for OpalLIDRegistration:

[legend]
Collaboration diagram for OpalLIDRegistration:
[legend]

## Public Member Functions

Construction
| OpalLIDRegistration (const char *name)
| ~OpalLIDRegistration ()
Operations
virtual OpalLineInterfaceDevice * | Create (void *parameters) const =0

## Protected Attributes

OpalLIDRegistration * | link
bool | duplicate

## Friends

class | OpalLineInterfaceDevice

## Detailed Description

This class embodies the description of a Line Interface Device.

An application may create a descendent off this class and override the Create() function to make the instance of a class implementing a transcoder.

## Constructor & Destructor Documentation

OpalLIDRegistration::OpalLIDRegistration | ( | const char * | name | ) |

Create a new LID registration.

Parameters:

  name | Line Interface Device type name

OpalLIDRegistration::~OpalLIDRegistration | ( |  | ) |

Destroy and remove LID registration.

## Member Function Documentation

virtual OpalLineInterfaceDevice* OpalLIDRegistration::Create | ( | void * | parameters | ) | const`[pure virtual]`

Create an instance of the transcoder implementation.

Parameters:

  parameters | Arbitrary parameters for the LID

Implemented in OpalPluginLIDRegistration.

## Friends And Related Function Documentation

friend class OpalLineInterfaceDevice `[friend]`

## Field Documentation

bool OpalLIDRegistration::duplicate `[protected]`

OpalLIDRegistration* OpalLIDRegistration::link `[protected]`

The documentation for this class was generated from the following file:

- lid.h